FILE_PATH = "RezaMobarakTextFile.txt"
NEW_FILE_PATH = "RezaMobarakTextFile2.txt"


def get_file_line_by_line(file_path):
    with open(file_path, mode="r") as file:
        for line in file:
            yield line


def append_a_line_to_file(line, file_path):
    with open(file_path, mode="a") as file:
        file.write(line)


def replace_space_with_comma(string):
    return string.replace(' ', ', ')


for line in get_file_line_by_line(file_path=FILE_PATH):
    new_line = replace_space_with_comma(string=line)
    append_a_line_to_file(line=new_line, file_path=NEW_FILE_PATH)
